diff --git a/test/src/large-object-data-at-exec-test.c b/test/src/large-object-data-at-exec-test.c
index 6ef09de..fd9526e 100644
--- a/test/src/large-object-data-at-exec-test.c
+++ b/test/src/large-object-data-at-exec-test.c
@@ -58,11 +58,14 @@ do_test(HSTMT hstmt, int testno, int lobByteSize, char *lobData)
 		SQLLEN lobChunkSize = 4096;
 		SQLPOINTER pParamId = 0;
 		const char *what = 0;
+		int error;
 
 		/* Get the parameter that needs data */
 		what = "SQLParamData failed (first call)";
 		rc = SQLParamData(hstmt, &pParamId);
-		int error = SQL_SUCCESS != rc && SQL_SUCCESS_WITH_INFO != rc && SQL_NEED_DATA != rc;
+		error = SQL_SUCCESS != rc &&
+				SQL_SUCCESS_WITH_INFO != rc &&
+				SQL_NEED_DATA != rc;
 		if (SQL_NEED_DATA == rc)
 		{
 			/* Send parameter data in chunks */
diff --git a/test/win.mak b/test/win.mak
index 5e3858f..cc53944 100644
--- a/test/win.mak
+++ b/test/win.mak
@@ -31,13 +31,14 @@ TESTS = $(TESTS:-test=)
 
 # exe\<testname>.exe
 TESTEXES = $(TESTBINS:-test=-test.exe)
-TESTEXES = $(TESTEXES:exe/=exe\)
+TESTEXES = $(TESTEXES:exe/=src\)
 
 
 # Flags
 CLFLAGS=/D WIN32
 LINKFLAGS=/link odbc32.lib odbccp32.lib
 
+
 # Build an executable for each test.
 #
 # XXX: Note that nmake syntax doesn't allow passing a dependent on an
@@ -46,7 +47,7 @@ LINKFLAGS=/link odbc32.lib odbccp32.lib
 # for each test - ideally we would build common.obj once and just link it
 # to each test.
 .c.exe:
-	cl /Fe.\exe\ /Fo.\exe\ $*.c src/common.c $(CLFLAGS) $(LINKFLAGS)
+	cl /Fe.\src\ /Fo.\src\ $*.c src/common.c $(CLFLAGS) $(LINKFLAGS)
 
 all: $(TESTEXES) runsuite.exe
 
